SocketAppenderSkeleton Class Referenceabstract

Abstract base class for SocketAppender and XMLSocketAppender. More...

Inheritance diagram for SocketAppenderSkeleton:

## Public Member Functions

| SocketAppenderSkeleton (int defaultPort, int reconnectionDelay)
| ~SocketAppenderSkeleton ()
| SocketAppenderSkeleton (helpers::InetAddressPtr address, int port, int reconnectionDelay)
| Connects to remote server at `address` and `port`. More...
| SocketAppenderSkeleton (const LogString &host, int port, int reconnectionDelay)
| Connects to remote server at `host` and `port`. More...
void | activateOptions (log4cxx::helpers::Pool &p)
| Connect to the specified RemoteHost and Port. More...
void | close ()
| Release any resources allocated within the appender such as file handles, network connections, etc. More...
bool | requiresLayout () const
| This appender does not use a layout. More...
void | setRemoteHost (const LogString &host)
| The RemoteHost option takes a string value which should be the host name of the server where a Apache Chainsaw or compatible is running. More...
const LogString & | getRemoteHost () const
| Returns value of the RemoteHost option. More...
void | setPort (int port1)
| The Port option takes a positive integer representing the port where the server is waiting for connections. More...
int | getPort () const
| Returns value of the Port option. More...
void | setLocationInfo (bool locationInfo1)
| The LocationInfo option takes a boolean value. More...
bool | getLocationInfo () const
| Returns value of the LocationInfo option. More...
void | setReconnectionDelay (int reconnectionDelay1)
| The ReconnectionDelay option takes a positive integer representing the number of milliseconds to wait between each failed connection attempt to the server. More...
int | getReconnectionDelay () const
| Returns value of the ReconnectionDelay option. More...
void | fireConnector ()
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`. More...
Public Member Functions inherited from AppenderSkeleton
| AppenderSkeleton ()
| AppenderSkeleton (const LayoutPtr &layout)
void | addRef () const
void | releaseRef () const
void | finalize ()
| Finalize this appender by calling the derived class' `close` method. More...
void | addFilter (const spi::FilterPtr &newFilter)
| Add a filter to end of the filter list. More...
void | clearFilters ()
| Clear the filters chain. More...
const spi::ErrorHandlerPtr & | getErrorHandler () const
| Return the currently set spi::ErrorHandler for this Appender. More...
spi::FilterPtr | getFilter () const
| Returns the head Filter. More...
const spi::FilterPtr & | getFirstFilter () const
| Return the first filter in the filter chain for this Appender. More...
LayoutPtr | getLayout () const
| Returns the layout of this appender. More...
LogString | getName () const
| Returns the name of this Appender. More...
const LevelPtr & | getThreshold ()
| Returns this appenders threshold level. More...
bool | isAsSevereAsThreshold (const LevelPtr &level) const
| Check whether the message level is below the appender's threshold. More...
void | doAppend (const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &pool)
| This method performs threshold checks and invokes filters before delegating actual logging to the subclasses specific AppenderSkeleton::append method. More...
void | setErrorHandler (const spi::ErrorHandlerPtr &eh)
| Set the ErrorHandler for this Appender. More...
void | setLayout (const LayoutPtr &layout1)
| Set the layout for this appender. More...
void | setName (const LogString &name1)
| Set the name of this Appender. More...
void | setThreshold (const LevelPtr &threshold)
| Set the threshold level. More...
Public Member Functions inherited from Appender
virtual | ~Appender ()
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const

## Protected Member Functions

virtual void | setSocket (log4cxx::helpers::SocketPtr &socket, log4cxx::helpers::Pool &p)=0
virtual void | cleanUp (log4cxx::helpers::Pool &p)=0
virtual int | getDefaultDelay () const =0
virtual int | getDefaultPort () const =0
Protected Member Functions inherited from AppenderSkeleton
virtual void | append (const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &p)=0
| Subclasses of `AppenderSkeleton` should implement this method to perform actual logging. More...

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from AppenderSkeleton
LayoutPtr | layout
| The layout variable does not need to be set if the appender implementation has its own layout. More...
LogString | name
| Appenders are named. More...
LevelPtr | threshold
| There is no level threshold filtering by default. More...
spi::ErrorHandlerPtr | errorHandler
| It is assumed and enforced that errorHandler is never null. More...
spi::FilterPtr | headFilter
| The first filter in the filter chain. More...
spi::FilterPtr | tailFilter
| The last filter in the filter chain. More...
bool | closed
| Is this appender closed? More...
log4cxx::helpers::Pool | pool
log4cxx::helpers::Mutex | mutex
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Abstract base class for SocketAppender and XMLSocketAppender.

## Constructor & Destructor Documentation

SocketAppenderSkeleton | ( | int | defaultPort,
|  | int | reconnectionDelay
| ) |  |

~SocketAppenderSkeleton | ( |  | ) |

SocketAppenderSkeleton | ( | helpers::InetAddressPtr | address,
|  | int | port,
|  | int | reconnectionDelay
| ) |  |

Connects to remote server at `address` and `port`.

SocketAppenderSkeleton | ( | const LogString & | host,
|  | int | port,
|  | int | reconnectionDelay
| ) |  |

Connects to remote server at `host` and `port`.

## Member Function Documentation

void activateOptions | ( | log4cxx::helpers::Pool & | p | ) |

virtual

Connect to the specified RemoteHost and Port.

Reimplemented from AppenderSkeleton.

virtual void cleanUp | ( | log4cxx::helpers::Pool & | p | ) |

protected pure virtual

Implemented in XMLSocketAppender, and SocketAppender.

void close | ( |  | ) |

virtual

Release any resources allocated within the appender such as file handles, network connections, etc.

It is a programming error to append to a closed appender.

Implements Appender.

void fireConnector | ( |  | ) |

virtual int getDefaultDelay | ( |  | ) | const

protected pure virtual

Implemented in XMLSocketAppender, and SocketAppender.

virtual int getDefaultPort | ( |  | ) | const

protected pure virtual

Implemented in XMLSocketAppender, and SocketAppender.

bool getLocationInfo | ( |  | ) | const

inline

Returns value of the LocationInfo option.

int getPort | ( |  | ) | const

inline

Returns value of the Port option.

int getReconnectionDelay | ( |  | ) | const

inline

Returns value of the ReconnectionDelay option.

const LogString& getRemoteHost | ( |  | ) | const

inline

Returns value of the RemoteHost option.

bool requiresLayout | ( |  | ) | const

inline virtual

This appender does not use a layout.

Hence, this method returns `false`.

Implements Appender.

void setLocationInfo | ( | bool | locationInfo1 | ) |

inline

The LocationInfo option takes a boolean value.

If true, the information sent to the remote host will include location information. By default no location information is sent to the server.

void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) |  |

virtual

Set `option` to `value`.

The handling of each option depends on the OptionHandler instance. Some options may become active immediately whereas other may be activated only when activateOptions is called.

Reimplemented from AppenderSkeleton.

void setPort | ( | int | port1 | ) |

inline

The Port option takes a positive integer representing the port where the server is waiting for connections.

void setReconnectionDelay | ( | int | reconnectionDelay1 | ) |

inline

The ReconnectionDelay option takes a positive integer representing the number of milliseconds to wait between each failed connection attempt to the server.

The default value of this option is 30000 which corresponds to 30 seconds.

Setting this option to zero turns off reconnection capability.

void setRemoteHost | ( | const LogString & | host | ) |

inline

The RemoteHost option takes a string value which should be the host name of the server where a Apache Chainsaw or compatible is running.

virtual void setSocket | ( | log4cxx::helpers::SocketPtr & | socket,
|  | log4cxx::helpers::Pool & | p
| ) |  |

protected pure virtual

Implemented in XMLSocketAppender, and SocketAppender.

The documentation for this class was generated from the following file:

- socketappenderskeleton.h